This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 840500 - SIGABRT in PEM module while loading invalid file
SIGABRT in PEM module while loading invalid file
Status: CLOSED DUPLICATE of bug 827351
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
:
Depends On: 840497
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 09:54 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840497
Environment:
Last Closed: 2012-07-17 05:23:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-07-16 09:54:21 EDT
The same problem in RHEL:

nss-3.13.3-6.el6.x86_64
nspr-4.9-1.el6.x86_64
openldap-2.4.23-26.el6.x86_64


+++ This bug was initially created as a clone of Bug #840497 +++

Description of problem:

PEM module causes SIGABRT when loading PEM file which contains invalid data.


Version-Release number of selected component (if applicable):
nss-3.13.5-1.fc17.x86_64
nspr-4.9.1-2.fc17.x86_64
openldap-2.4.31-3.fc17.x86_64

How reproducible:
100%


Steps to Reproduce:
1. mkdir /tmp/invalid-cas
2. echo garbage > /tmp/invalid-cas/garbage.0
3. LDAPTLS_CACERTDIR=/tmp/invalid-cas ldapsearch -x -H ldaps://ldap.example.com -b "" -s base
  

Actual results:
*** glibc detected *** ldapsearch: free(): invalid size: 0x00007f64d6adc410 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7c80e)[0x7f64d3e6b80e]
/lib64/libnsspem.so(+0x6614)[0x7f64d2a3b614]
/lib64/libnsspem.so(+0xa7e5)[0x7f64d2a3f7e5]
/lib64/libnsspem.so(+0xf629)[0x7f64d2a44629]
/lib64/libnss3.so(+0x465da)[0x7f64d4a585da]
/lib64/libnss3.so(PK11_CreateGenericObject+0x43)[0x7f64d4a59a83]
/lib64/libldap-2.4.so.2(+0x378c5)[0x7f64d5a658c5]
/lib64/libldap-2.4.so.2(+0x37d78)[0x7f64d5a65d78]
/lib64/libldap-2.4.so.2(+0x3808e)[0x7f64d5a6608e]
/lib64/libnspr4.so(PR_CallOnceWithArg+0xc5)[0x7f64d41c1435]
/lib64/libldap-2.4.so.2(+0x3695e)[0x7f64d5a6495e]
/lib64/libldap-2.4.so.2(+0x33a84)[0x7f64d5a61a84]
/lib64/libldap-2.4.so.2(+0x33c01)[0x7f64d5a61c01]
/lib64/libldap-2.4.so.2(ldap_int_tls_start+0x68)[0x7f64d5a62678]
/lib64/libldap-2.4.so.2(ldap_int_open_connection+0x25d)[0x7f64d5a3dfbd]
/lib64/libldap-2.4.so.2(ldap_new_connection+0x18d)[0x7f64d5a50e8d]
/lib64/libldap-2.4.so.2(ldap_open_defconn+0x2f)[0x7f64d5a3d4cf]
/lib64/libldap-2.4.so.2(ldap_send_initial_request+0x198)[0x7f64d5a52178]
/lib64/libldap-2.4.so.2(ldap_sasl_bind+0x174)[0x7f64d5a47194]
ldapsearch(+0x8d49)[0x7f64d5ea6d49]
ldapsearch(main+0x250)[0x7f64d5ea2a90]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f64d3e10735]
ldapsearch(+0x5d71)[0x7f64d5ea3d71]
======= Memory map: ========
7f64d2820000-7f64d2835000 r-xp 00000000 fd:01 788184                     /usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f64d2835000-7f64d2a34000 ---p 00015000 fd:01 788184                     /usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f64d2a34000-7f64d2a35000 rw-p 00014000 fd:01 788184                     /usr/lib64/libgcc_s-4.7.0-20120507.so.1
7f64d2a35000-7f64d2a59000 r-xp 00000000 fd:01 800054                     /usr/lib64/libnsspem.so
7f64d2a59000-7f64d2c59000 ---p 00024000 fd:01 800054                     /usr/lib64/libnsspem.so
7f64d2c59000-7f64d2c5a000 r--p 00024000 fd:01 800054                     /usr/lib64/libnsspem.so
7f64d2c5a000-7f64d2c5b000 rw-p 00025000 fd:01 800054                     /usr/lib64/libnsspem.so
7f64d2c5b000-7f64d2cfc000 r-xp 00000000 fd:01 787989                     /usr/lib64/libsqlite3.so.0.8.6
7f64d2cfc000-7f64d2efc000 ---p 000a1000 fd:01 787989                     /usr/lib64/libsqlite3.so.0.8.6
7f64d2efc000-7f64d2efe000 r--p 000a1000 fd:01 787989                     /usr/lib64/libsqlite3.so.0.8.6
7f64d2efe000-7f64d2f00000 rw-p 000a3000 fd:01 787989                     /usr/lib64/libsqlite3.so.0.8.6
7f64d2f00000-7f64d2f01000 rw-p 00000000 00:00 0 
7f64d2f01000-7f64d2f40000 r-xp 00000000 fd:01 799118                     /usr/lib64/libsoftokn3.so
7f64d2f40000-7f64d313f000 ---p 0003f000 fd:01 799118                     /usr/lib64/libsoftokn3.so
7f64d313f000-7f64d3140000 r--p 0003e000 fd:01 799118                     /usr/lib64/libsoftokn3.so
7f64d3140000-7f64d3141000 rw-p 0003f000 fd:01 799118                     /usr/lib64/libsoftokn3.so
7f64d3141000-7f64d3146000 r-xp 00000000 fd:01 794566                     /usr/lib64/libnss_dns-2.15.so
7f64d3146000-7f64d3346000 ---p 00005000 fd:01 794566                     /usr/lib64/libnss_dns-2.15.so
7f64d3346000-7f64d3347000 r--p 00005000 fd:01 794566                     /usr/lib64/libnss_dns-2.15.so
7f64d3347000-7f64d3348000 rw-p 00006000 fd:01 794566                     /usr/lib64/libnss_dns-2.15.so
7f64d3348000-7f64d3354000 r-xp 00000000 fd:01 794569                     /usr/lib64/libnss_files-2.15.so
7f64d3354000-7f64d3553000 ---p 0000c000 fd:01 794569                     /usr/lib64/libnss_files-2.15.so
7f64d3553000-7f64d3554000 r--p 0000b000 fd:01 794569                     /usr/lib64/libnss_files-2.15.so
7f64d3554000-7f64d3555000 rw-p 0000c000 fd:01 794569                     /usr/lib64/libnss_files-2.15.so
7f64d3555000-7f64d356c000 r-xp 00000000 fd:01 796190                     /usr/lib64/libz.so.1.2.5
7f64d356c000-7f64d376b000 ---p 00017000 fd:01 796190                     /usr/lib64/libz.so.1.2.5
7f64d376b000-7f64d376c000 rw-p 00016000 fd:01 796190                     /usr/lib64/libz.so.1.2.5
7f64d376c000-7f64d3782000 r-xp 00000000 fd:01 794579                     /usr/lib64/libpthread-2.15.so
7f64d3782000-7f64d3982000 ---p 00016000 fd:01 794579                     /usr/lib64/libpthread-2.15.so
7f64d3982000-7f64d3983000 r--p 00016000 fd:01 794579                     /usr/lib64/libpthread-2.15.so
7f64d3983000-7f64d3984000 rw-p 00017000 fd:01 794579                     /usr/lib64/libpthread-2.15.so
7f64d3984000-7f64d3988000 rw-p 00000000 00:00 0 
7f64d3988000-7f64d39e5000 r-xp 00000000 fd:01 786643                     /usr/lib64/libfreebl3.so
7f64d39e5000-7f64d3be5000 ---p 0005d000 fd:01 786643                     /usr/lib64/libfreebl3.so
7f64d3be5000-7f64d3be6000 r--p 0005d000 fd:01 786643                     /usr/lib64/libfreebl3.so
7f64d3be6000-7f64d3be7000 rw-p 0005e000 fd:01 786643                     /usr/lib64/libfreebl3.so
7f64d3be7000-7f64d3beb000 rw-p 00000000 00:00 0 
7f64d3beb000-7f64d3bee000 r-xp 00000000 fd:01 793770                     /usr/lib64/libdl-2.15.so
7f64d3bee000-7f64d3ded000 ---p 00003000 fd:01 793770                     /usr/lib64/libdl-2.15.so
7f64d3ded000-7f64d3dee000 r--p 00002000 fd:01 793770                     /usr/lib64/libdl-2.15.so
7f64d3dee000-7f64d3def000 rw-p 00003000 fd:01 793770                     /usr/lib64/libdl-2.15.so
7f64d3def000-7f64d3f9b000 r-xp 00000000 fd:01 791841                     /usr/lib64/libc-2.15.so
7f64d3f9b000-7f64d419b000 ---p 001ac000 fd:01 791841                     /usr/lib64/libc-2.15.so
7f64d419b000-7f64d419f000 r--p 001ac000 fd:01 791841                     /usr/lib64/libc-2.15.so
7f64d419f000-7f64d41a1000 rw-p 001b0000 fd:01 791841                     /usr/lib64/libc-2.15.so
7f64d41a1000-7f64d41a6000 rw-p 00000000 00:00 0 
7f64d41a6000-7f64d41df000 r-xp 00000000 fd:01 788136                     /usr/lib64/libnspr4.so
7f64d41df000-7f64d43de000 ---p 00039000 fd:01 788136                     /usr/lib64/libnspr4.so
7f64d43de000-7f64d43df000 r--p 00038000 fd:01 788136                     /usr/lib64/libnspr4.so
7f64d43df000-7f64d43e1000 rw-p 00039000 fd:01 788136                     /usr/lib64/libnspr4.so
7f64d43e1000-7f64d43e3000 rw-p 00000000 00:00 0 
7f64d43e3000-7f64d43e7000 r-xp 00000000 fd:01 798196                     /usr/lib64/libplc4.so
7f64d43e7000-7f64d45e6000 ---p 00004000 fd:01 798196                     /usr/lib64/libplc4.so
7f64d45e6000-7f64d45e7000 r--p 00003000 fd:01 798196                     /usr/lib64/libplc4.so
7f64d45e7000-7f64d45e8000 rw-p 00004000 fd:01 798196                     /usr/lib64/libplc4.so
7f64d45e8000-7f64d45eb000 r-xp 00000000 fd:01 798200                     /usr/lib64/libplds4.so
7f64d45eb000-7f64d47ea000 ---p 00003000 fd:01 798200                     /usr/lib64/libplds4.soAborted (core dumped)


Expected results:

NSS PEM module not causing crash of OpenLDAP.


Additional info:

(gdb) bt full
#0  0x00007ffff5f85965 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = 8080
        selftid = 8080
#1  0x00007ffff5f87118 in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7ffff60c6c15, sa_sigaction = 0x7ffff60c6c15}, sa_mask = {__val = {3, 140737488323516, 4, 140737321393636, 1, 140737321400319, 
              3, 140737488323492, 12, 140737321400323, 2, 140737321400323, 2, 140737488324304, 24, 140737488326064}}, sa_flags = 89, sa_restorer = 0x7}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00007ffff5fc568b in __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7ffff60c8bc8 "*** glibc detected *** %s: %s: 0x%s ***\n")
    at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fffffff8dc0, reg_save_area = 0x7fffffff8cd0}}
        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fffffff8dc0, reg_save_area = 0x7fffffff8cd0}}
        fd = 9
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#3  0x00007ffff5fcc80e in malloc_printerr (ptr=0x5555557b5410, str=0x7ffff60c6a6d "free(): invalid size", action=3) at malloc.c:5027
        buf = "00005555557b5410"
        cp = <optimized out>
#4  _int_free (av=0x7ffff6300720, p=0x5555557b5400, have_lock=0) at malloc.c:3948
        size = <optimized out>
        fb = <optimized out>
        nextchunk = <optimized out>
        nextsize = <optimized out>
        nextinuse = <optimized out>
        prevsize = <optimized out>
        bck = <optimized out>
        fwd = <optimized out>
        errstr = <optimized out>
        locked = <optimized out>
#5  0x00007ffff4b9c614 in pem_CreateObject (fwInstance=0x555500000001, fwSession=<optimized out>, mdToken=<optimized out>, pTemplate=<optimized out>, 
    ulAttributeCount=<optimized out>, pError=<optimized out>) at pobject.c:1223
        objClass = <optimized out>
        isToken = <optimized out>
        fwSlot = <optimized out>
        slotID = 0
        cacert = 200 '\310'
        filename = 0x55555579a4d0 "/tmp/invalid-cas/garbage.0"
        derlist = 0x5555557b5460
        nobjs = <optimized out>
        objid = <optimized out>
        token = <optimized out>
        cipher = 32767
        ivstring = 0x0
        listObj = 0x5555557b5040
        listItem = 0x5555557b5340
#6  0x00007ffff4ba07e5 in nssCKFWSession_CreateObject (fwSession=0x55555579dbd0, pTemplate=pTemplate@entry=0x7fffffff94e0, ulAttributeCount=ulAttributeCount@entry=4, 
    pError=pError@entry=0x7fffffff93c8) at session.c:1353
        arena = 0x55555579ce90
        mdObject = <optimized out>
        fwObject = <optimized out>
        isTokenObject = 1 '\001'
#7  0x00007ffff4ba5629 in NSSCKFWC_CreateObject (fwInstance=0x55555579b0c0, hSession=<optimized out>, pTemplate=0x7fffffff94e0, ulCount=4, phObject=0x7fffffff9458) at wrap.c:1994
        error = 0
        fwSession = <optimized out>
        fwObject = <optimized out>
#8  0x00007ffff6bb95da in PK11_CreateNewObject (slot=slot@entry=0x55555579cb30, session=1, theTemplate=theTemplate@entry=0x7fffffff94e0, count=count@entry=4, token=token@entry=0, 
    objectID=objectID@entry=0x7fffffff9458) at pk11obj.c:412
        rwsession = 1
        crv = <optimized out>
        rv = SECSuccess
#9  0x00007ffff6bbaa83 in PK11_CreateGenericObject (slot=slot@entry=0x55555579cb30, pTemplate=pTemplate@entry=0x7fffffff94e0, count=count@entry=4, token=token@entry=0)
    at pk11obj.c:1359
        objectID = <optimized out>
        obj = <optimized out>
        crv = <optimized out>
#10 0x00007ffff7bc68c5 in tlsm_add_cert_from_file (ctx=ctx@entry=0x555555777400, filename=filename@entry=0x55555579cb00 "/tmp/invalid-cas/garbage.0", isca=isca@entry=1)
    at ../../../libraries/libldap/tls_m.c:1252
        slot = 0x55555579cb30
        cert = <optimized out>
        attrs = {{type = 0, pValue = 0x7fffffff9498, ulValueLen = 8}, {type = 1, pValue = 0x7fffffff9496, ulValueLen = 1}, {type = 3, pValue = 0x55555579cb00, ulValueLen = 27}, {
---Type <return> to continue, or q <return> to quit---
            type = 3461571408, pValue = 0x7fffffff9496, ulValueLen = 1}}
        cktrue = 1 '\001'
        ckfalse = 0 '\000'
        objClass = 1
        slotname = 0x7ffff7bd1fd4 "PEM Token #0"
        fi = {type = PR_FILE_FILE, size = 8, creationTime = 1342446335000000, modifyTime = 1342446335000000}
        status = <optimized out>
        certDER = {type = siBuffer, data = 0x0, len = 0}
#11 0x00007ffff7bc6d78 in tlsm_init_ca_certs (ctx=ctx@entry=0x555555777400, cacertfile=<optimized out>, cacertdir=0x5555557774d0 "/tmp/invalid-cas")
    at ../../../libraries/libldap/tls_m.c:1475
        fullpath = 0x55555579cb00 "/tmp/invalid-cas/garbage.0"
        ptr = <optimized out>
        fi = {type = PR_FILE_DIRECTORY, size = 4096, creationTime = 1342446335000000, modifyTime = 1342446335000000}
        dir = 0x55555579cae0
        entry = <optimized out>
        fistatus = <optimized out>
        status = PR_SUCCESS
        errcode = <optimized out>
#12 0x00007ffff7bc708e in tlsm_init_ca_certs (cacertdir=<optimized out>, cacertfile=<optimized out>, ctx=0x555555777400) at ../../../libraries/libldap/tls_m.c:1395
        isca = 1
        status = PR_SUCCESS
        errcode = 0
#13 tlsm_deferred_init (arg=0x555555777400) at ../../../libraries/libldap/tls_m.c:1761
        ctx = 0x555555777400
        ii = 3
        initctx = <optimized out>
        securitydirs = {0x0, 0x5555557774d0 "/tmp/invalid-cas", 0x0}
        errcode = -8018
        initParams = {length = 80, passwordRequired = 0, minPWLen = 0, manufactureID = 0x0, libraryDescription = 0x0, cryptoTokenDescription = 0x0, dbTokenDescription = 0x0, 
          FIPSTokenDescription = 0x0, cryptoSlotDescription = 0x0, dbSlotDescription = 0x0, FIPSSlotDescription = 0x0}
        done = <optimized out>
        nn = 3
        lt = 0x555555777480
        certdb_slot = <optimized out>
        rc = <optimized out>
#14 tlsm_deferred_ctx_init (arg=0x555555777400) at ../../../libraries/libldap/tls_m.c:2079
        ctx = 0x555555777400
#15 0x00007ffff6322435 in PR_CallOnceWithArg (once=once@entry=0x555555777450, func=func@entry=0x7ffff7bc6e50 <tlsm_deferred_ctx_init>, arg=arg@entry=0x555555777400)
    at ../../../mozilla/nsprpub/pr/src/misc/prinit.c:804
No locals.
#16 0x00007ffff7bc595e in tlsm_session_new (ctx=0x555555777400, is_server=0) at ../../../libraries/libldap/tls_m.c:2445
        c = 0x555555777400
        session = 0x555555777400
        status = <optimized out>
#17 0x00007ffff7bc2a84 in alloc_handle (ctx_arg=<optimized out>, is_server=<optimized out>) at ../../../libraries/libldap/tls2.c:288
        ctx = <optimized out>
        ssl = <optimized out>
#18 0x00007ffff7bc2c01 in ldap_int_tls_connect (ld=ld@entry=0x55555576a210, conn=0x55555576a400) at ../../../libraries/libldap/tls2.c:333
        ctx = 0x0
        sb = 0x55555576a1e0
        err = <optimized out>
        ssl = 0x0
#19 0x00007ffff7bc3678 in ldap_int_tls_start (ld=ld@entry=0x55555576a210, conn=conn@entry=0x55555576a400, srv=srv@entry=0x55555576a340) at ../../../libraries/libldap/tls2.c:834
        sb = 0x55555576a1e0
        host = 0x55555576a3c0 "ldap.example.com"
        ssl = <optimized out>
        __PRETTY_FUNCTION__ = "ldap_int_tls_start"
#20 0x00007ffff7b9efbd in ldap_int_open_connection (ld=ld@entry=0x55555576a210, conn=conn@entry=0x55555576a400, srv=0x55555576a340, async=async@entry=0)
    at ../../../libraries/libldap/open.c:436
        rc = 0
        proto = <optimized out>
#21 0x00007ffff7bb1e8d in ldap_new_connection (ld=ld@entry=0x55555576a210, srvlist=srvlist@entry=0x55555576bb58, use_ldsb=use_ldsb@entry=1, connect=connect@entry=1, 
    bind=bind@entry=0x0, m_req=m_req@entry=0, m_res=m_res@entry=0) at ../../../libraries/libldap/request.c:481
        rc = <optimized out>
        srvp = 0x55555576bb58
        srv = 0x0
        lc = 0x55555576a400
        async = 0
        __PRETTY_FUNCTION__ = "ldap_new_connection"
#22 0x00007ffff7b9e4cf in ldap_open_defconn (ld=ld@entry=0x55555576a210) at ../../../libraries/libldap/open.c:41
No locals.
#23 0x00007ffff7bb3178 in ldap_send_initial_request (ld=ld@entry=0x55555576a210, msgtype=msgtype@entry=96, dn=dn@entry=0x7ffff7bd1fa6 "", ber=ber@entry=0x55555576a240, 
    msgid=msgid@entry=1) at ../../../libraries/libldap/request.c:130
        rc = 1
---Type <return> to continue, or q <return> to quit---
        sd = -1
#24 0x00007ffff7ba8194 in ldap_sasl_bind (ld=ld@entry=0x55555576a210, dn=0x7ffff7bd1fa6 "", mechanism=mechanism@entry=0x0, cred=cred@entry=0x555555769280, sctrls=sctrls@entry=0x0, 
    cctrls=cctrls@entry=0x0, msgidp=msgidp@entry=0x7fffffff9b34) at ../../../libraries/libldap/sasl.c:148
        ber = 0x55555576a240
        rc = <optimized out>
        id = 1
        __PRETTY_FUNCTION__ = "ldap_sasl_bind"
#25 0x000055555555cd49 in tool_bind (ld=ld@entry=0x55555576a210) at ../../../clients/tools/common.c:1503
        err = <optimized out>
        msgbuf = "\000\001\000\000\000\000\000\000\314\232\273\367\377\177\000\000d\002\060\366\377\177\000\000\020\242vUUU\000\000\324\222vUUU\000\000\200\240vUUU\000\000\200\240vUUU\000\000d\002\060\366\377\177\000\000@\242vUUU\000\000g\326UUUU\000\000HfVUUU\000\000\240\222vUUU\000\000\330\336\377\377\377\177\000\000\b\000\000\000\000\000\000\000\270\222vUUU\000\000P\243UUUU\000\000\000\000\000\000\000\000\000\000^\375UUUU\000\000\020\242vUUU\000\000\000\000\000\000\000\000\000\000\264\064VUUU\000\000\001\001\001\001\001\001\001\001w\000\000\000|\000\000\000\340\234\377\377\377\177\000\000\310\344\375\367\377\177\000\000\000\000\000\000\000\000\000\000\001\000\000\000\271\v\000\000\003\000\000\000\377\177\000\000\200\240vUUU\000\000\300\241vUUU\000\000\317O\000\000\000\000\000\000"...
        info = 0x0
        refs = 0x0
        msgid = <optimized out>
        rc = <optimized out>
        result = <optimized out>
        ctrls = <optimized out>
        matched = 0x0
        sctrlsp = 0x0
        sctrls = {0x7ffff7ddbfc0, 0x0, 0x0}
        sctrl = {{ldctl_oid = 0x610b <Address 0x610b out of bounds>, ldctl_value = {bv_len = 0, bv_val = 0x55555576a210 "\220\272vUUU"}, ldctl_iscritical = 21 '\025'}, {
            ldctl_oid = 0xffffffff <Address 0xffffffff out of bounds>, ldctl_value = {bv_len = 93824994419216, bv_val = 0x0}, ldctl_iscritical = 11 '\v'}, {
            ldctl_oid = 0x55555576a210 "\220\272vUUU", ldctl_value = {bv_len = 0, bv_val = 0x0}, ldctl_iscritical = 88 'X'}}
        nsctrls = <optimized out>
        __PRETTY_FUNCTION__ = "tool_bind"
#26 0x0000555555558a90 in main (argc=<optimized out>, argv=<optimized out>) at ../../../clients/tools/ldapsearch.c:893
        filtpattern = 0x5555555634b8 "(objectclass=*)"
        attrs = 0x0
        line = '\000' <repeats 8191 times>
        fp = 0x0
        rc = <optimized out>
        rc1 = <optimized out>
        i = <optimized out>
        first = <optimized out>
        ld = 0x55555576a210
        seber = 0x0
        vrber = 0x0
        syncber = 0x0
        syncbvalp = 0x0
        err = <optimized out>
        __PRETTY_FUNCTION__ = "main"
Comment 2 Kamil Dudka 2012-07-16 10:37:30 EDT
(In reply to comment #0)
> The same problem in RHEL:
> 
> nss-3.13.3-6.el6.x86_64

Please try it with updated NSS.  Looks like duplicate of bug 827351 to me...
Comment 3 Jan Vcelak 2012-07-17 05:23:07 EDT
You are right Kamil. It works with nss-3.13.3-8.el6.x86_64.

*** This bug has been marked as a duplicate of bug 827351 ***

Note You need to log in before you can comment on or make changes to this bug.